[@rxap/material-table-system](../wiki/globals) / RowIdMapperFunction

# Type Alias: RowIdMapperFunction()\<T\>

> **RowIdMapperFunction**\<`T`\>: (`row`) => `string`

Defined in: [packages/angular/material/table-system/src/lib/table-row-metadata.ts:19](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-metadata.ts#L19)

## Type Parameters

• **T** *extends* [`TableRowMetadata`](../wiki/Interface.TableRowMetadata)

## Parameters

### row

[`RawTableRow`](../wiki/TypeAlias.RawTableRow)\<`T`\>

## Returns

`string`
